Bug 1008701 - Review Request: gpx-viewer - A simple gpx viewer
Review Request: gpx-viewer - A simple gpx viewer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 17:57 EDT by Christian Krause
Modified: 2013-10-02 02:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: gpx-viewer-0.3.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 21:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christian Krause 2013-09-16 17:57:16 EDT
Spec URL: http://chkr.fedorapeople.org/review/gpx-viewer.spec
SRPM URL: http://chkr.fedorapeople.org/review/gpx-viewer-0.3.0-1.fc18.src.rpm
Description: 
GPX Viewer is a simple program to visualize a gpx file. It has no
intention to become a full blown manager, editor or analyzer.

This is a re-review in order to unretire gpx-viewer in Fedora.

Fedora Account System Username: chkr
Comment 1 Volker Fröhlich 2013-09-20 05:21:03 EDT
Package Review
==============

You could use the name macro when listing the patches, for the sake of consistency.

I'm not sure if the RPM group should be something else.

You should not reqire shared-mime-info: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo

I think BR gnome-common is not necessary, but I might be wrong.

The upstream description deviates from the package description. Feel free to incorporate the changes, if you want to.

Please review my comments in the report below!

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "GPL (v2 or later)", "Unknown or generated". 8
     files have unknown license. Detailed output of licensecheck in
     /home/makerpm/1008701-gpx-viewer/licensecheck.txt

The "unknown" ones are GPLv2+ too.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
Your changelog entry is empty

[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

Just remove that line

[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in gpx-viewer
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in gpx-viewer
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
Starts, loads backdrop data, navigating through menu works in F18

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.

Please do

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: gpx-viewer
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

Can safely be ignored

[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gpx-viewer-0.3.0-1.fc21.x86_64.rpm
          gpx-viewer-0.3.0-1.fc21.src.rpm
gpx-viewer.x86_64: W: no-manual-page-for-binary gpx-viewer
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gpx-viewer
gpx-viewer.x86_64: W: no-manual-page-for-binary gpx-viewer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gpx-viewer (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libEGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libchamplain-0.12.so.0()(64bit)
    libchamplain-gtk-0.12.so.0()(64bit)
    libclutter-1.0.so.0()(64bit)
    libclutter-gtk-1.0.so.0()(64bit)
    libcogl-pango.so.15()(64bit)
    libcogl.so.15()(64bit)
    libdrm.so.2()(64bit)
    libgbm.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdl-3.so.5()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgudev-1.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libwayland-server.so.0()(64bit)
    libxkbcommon.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.5.0)(64bit)
    libxml2.so.2(LIBXML2_2.5.7)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)
    shared-mime-info



Provides
--------
gpx-viewer:
    gpx-viewer
    gpx-viewer(x86-64)
    mimehandler(application/gpx+xml)



Source checksums
----------------
http://edge.launchpad.net/gpx-viewer/trunk/0.2.0/+download/gpx-viewer-0.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : 4c5489c5662294540cd663a269c20cf286fc0c07555e5a5e06b14533f63e55cc
  CHECKSUM(SHA256) upstream package : 4c5489c5662294540cd663a269c20cf286fc0c07555e5a5e06b14533f63e55cc


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1008701
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 Volker Fröhlich 2013-09-20 05:27:49 EDT
I trust you'll change that without the need for further reviewing, therefore APPROVED.
Comment 3 Christian Krause 2013-09-20 15:08:36 EDT
Package Change Request
======================
Package Name: gpx-viewer
New Branches: f18 f19 f20
Owners: chkr

Please un-retire the package and assign the ownership to me.
Comment 4 Gwyn Ciesla 2013-09-20 15:16:33 EDT
Git done (by process-git-requests).

devel unretired, please take ownership.
Comment 5 Christian Krause 2013-09-20 18:48:13 EDT
Thank you very much for the review.

(In reply to Volker Fröhlich from comment #1)

> You could use the name macro when listing the patches, for the sake of
> consistency.

Fixed.

> I'm not sure if the RPM group should be something else.

Me neither. Since viking and merkaartor use "Applications/Productivity", I'll use that, too.

> You should not reqire shared-mime-info:
> http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo

I'm not requiring it because of the scriptlets, but because of the ownership of /usr/share/mime/packages/.

Otherwise, if shared-mime-info would not be installed, there would be an unowned directory.

IMHO https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_also_owned_by_a_package_implementing_required_functionality_of_your_package applies here.

> I think BR gnome-common is not necessary, but I might be wrong.

Yes, it does not seem to be necessary. I have removed it.

> The upstream description deviates from the package description. Feel free to
> incorporate the changes, if you want to.

Fixed.

> [!]: Changelog in prescribed format.
> Your changelog entry is empty

Fixed.

> [!]: Each %files section contains %defattr if rpm < 4.4
>      Note: %defattr present but not needed
> 
> Just remove that line

Fixed.

> [!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
 
I added some comments to the patches and included the URLs for the patches I have already upstreamed.

https://pkgs.fedoraproject.org/cgit/gpx-viewer.git/tree/gpx-viewer.spec
Comment 6 Fedora Update System 2013-09-21 06:13:30 EDT
gpx-viewer-0.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gpx-viewer-0.3.0-1.fc20
Comment 7 Fedora Update System 2013-09-21 06:14:14 EDT
gpx-viewer-0.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gpx-viewer-0.3.0-1.fc19
Comment 8 Fedora Update System 2013-09-21 06:14:52 EDT
gpx-viewer-0.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gpx-viewer-0.3.0-1.fc18
Comment 9 Fedora Update System 2013-09-21 15:41:09 EDT
gpx-viewer-0.3.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-09-28 21:31:00 EDT
gpx-viewer-0.3.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2013-10-02 02:38:06 EDT
gpx-viewer-0.3.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-10-02 02:38:43 EDT
gpx-viewer-0.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.